package com.reptileclient.jlifeapp.web;

import com.reptileclient.jlifeapp.service.HmSalesOrderService;
import com.reptileclient.jlifeapp.service.JzShopService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Api(value = "盒马门店数据", description = "盒马门店数据")
public class JzShopController {

	private static final Logger logger = LoggerFactory.getLogger(JzShopController.class);

	@Autowired
	JzShopService jzShopService;

	/**
	 * 测抓数据
	 * 
	 * @return
	 */
	@ApiOperation(value = "盒马门店数据", notes = "盒马门店数据")
	@GetMapping("runTesJzShop")
	public String runTes() {

		new Thread() {
			public void run() {
				jzShopService.getHmShop();
			};
		}.start();

		return "ok";
	}

}